{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-24.05";

    flake-utils.url = "github:numtide/flake-utils";

    home-manager = {
      url = "github:exzombie/home-manager-smona/nixgl-compat";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    nixGL.url = "github:nix-community/nixGL";
  };

  outputs = { nixpkgs, flake-utils, home-manager, nixGL, ... } @ inputs:
    flake-utils.lib.eachSystem (with flake-utils.lib.system; [
      x86_64-linux
    ]) (system:
      let
        lib = nixpkgs.lib;
        pkgs = import nixpkgs {
          inherit system;
          overlays = [ nixGL.overlay ];
        };
      in {
        packages.homeConfigurations = {
          goose = home-manager.lib.homeManagerConfiguration {
            inherit pkgs;
            modules = [ ./home.nix ];
            extraSpecialArgs = {
              inherit inputs;
            };
          };
        };
      }
    );
}
